
#language: ru

@pricing

Функционал: 009. Pricing. Создание заказов клиентов

Сценарий: 009.1. Pricing. Создание заказа1 для обычного покупателя, проверка заполнившихся значений

	Дано Я подключаюсь под "Создание заказов клиентов"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.009. Цены"
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И Я начинаю создавать заказ покупателя без холдинга "Обычный покупатель" в точку доставки "Обычная точка доставки" организации "Организация" и подразделению "Подразделение приемки заказов"
	И элемент формы "Соглашение" стал равен "Соглашение для Обычного покупателя"
	И элемент формы "Цена" стал равен "На дату заказа"
	И элемент формы "Вид цен" стал равен "Зависимый 1"
	И флаг "Цена включает НДС" равен "Да"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И в поле с именем "ДатаОтгрузки" я ввожу текст '10.09.2019'
	И в поле 'Комментарий' я ввожу текст 'Заказ 1. Заказ на Обычного покупателя'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "10,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский' | 'кг'  | '20%'   | '85,00'           | '<Без маркировки>' | '850,00'     | ''      | '10,000, кг'     | '85,00'     | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
	И в таблице "Товары" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	Если в таблице "Список" количество строк "меньше или равно" 3 Тогда
		И я нажимаю на кнопку 'Иерархия'
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И в таблице "ПодобраннаяНоменклатура" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ПодобраннаяНоменклатура" я завершаю редактирование строки
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Заказ клиента (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    | 
		| 'Сыр Пошехонский' |
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'  | 'кг'  | '20%'   | '85,00'           | '<Без маркировки>' | '850,00'     | ''      | '10,000, кг'     | '85,00'     | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский' | 'кг'  | '10%'   | '225,00'          | '<Без маркировки>' | '2 250,00'   | ''      | '10,000, кг'     | '225,00'    | '204,55'   | '2 250,00'   | '10'      | 'Сырная ГП'      |
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сыр Костромской' | 
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'  | 'кг'  | '20%'   | '85,00'           | '<Без маркировки>' | '850,00'     | ''      | '10,000, кг'     | '85,00'     | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский' | 'кг'  | '10%'   | '225,00'          | '<Без маркировки>' | '2 250,00'   | ''      | '10,000, кг'     | '225,00'    | '204,55'   | '2 250,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской' | 'кг'  | '18%'   | '45,00'           | '<Без маркировки>' | '450,00'     | ''      | '10,000, кг'     | '45,00'     | '68,64'    | '450,00'     | '10'      | 'Сырная ГП'      |
	И Я добавляю в заказ клиента номенклатуру "Крылья куринные (подложка)" без характеристики в количестве "10,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '85,00'           | '<Без маркировки>'  | '850,00'     | ''                  | '10,000, кг'     | '85,00'     | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '225,00'          | '<Без маркировки>'  | '2 250,00'   | ''                  | '10,000, кг'     | '225,00'    | '204,55'   | '2 250,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '45,00'           | '<Без маркировки>'  | '450,00'     | ''                  | '10,000, кг'     | '45,00'     | '68,64'    | '450,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '180,00'          | '<не используются>' | '1 800,00'   | '<не используются>' | '10,000, кг'     | '180,00'    | '300,00'   | '1 800,00'   | '10'      | 'Куриная ГП'     |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "714,86" процент равен "0,00" итог равен "5 350,00"
	И я перехожу к закладке "Основное"
	И в поле с именем 'Дата' я ввожу текст '02.08.2019  0:00:00'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '82,17'           | '<Без маркировки>'  | '821,70'     | ''                  | '10,000, кг'     | '85,00'     | '136,95'   | '821,70'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '219,17'          | '<Без маркировки>'  | '2 191,70'   | ''                  | '10,000, кг'     | '225,00'    | '199,25'   | '2 191,70'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '40,00'           | '<Без маркировки>'  | '400,00'     | ''                  | '10,000, кг'     | '45,00'     | '61,02'    | '400,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '180,00'          | '<не используются>' | '1 800,00'   | '<не используются>' | '10,000, кг'     | '180,00'    | '300,00'   | '1 800,00'   | '10'      | 'Куриная ГП'     |
	И Я проверяю что в заказе клиента скидка равна "136,60" ндс равен "697,21" процент равен "2,55" итог равен "5 213,40"
	И я перехожу к закладке "Основное"
	И в поле с именем 'Дата' я ввожу текст '01.09.2019  0:00:00'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '85,00'           | '<Без маркировки>'  | '850,00'     | ''                  | '10,000, кг'     | '85,00'     | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '225,00'          | '<Без маркировки>'  | '2 250,00'   | ''                  | '10,000, кг'     | '225,00'    | '204,55'   | '2 250,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '45,00'           | '<Без маркировки>'  | '450,00'     | ''                  | '10,000, кг'     | '45,00'     | '68,64'    | '450,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '180,00'          | '<не используются>' | '1 800,00'   | '<не используются>' | '10,000, кг'     | '180,00'    | '300,00'   | '1 800,00'   | '10'      | 'Куриная ГП'     |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "714,86" процент равен "0,00" итог равен "5 350,00"
	И я перехожу к закладке "Основное"
	И в поле с именем 'Дата' я ввожу текст '31.08.2019  0:00:00'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '73,67'           | '<Без маркировки>'  | '736,70'     | ''                  | '10,000, кг'     | '85,00'     | '122,78'   | '736,70'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '219,17'          | '<Без маркировки>'  | '2 191,70'   | ''                  | '10,000, кг'     | '225,00'    | '199,25'   | '2 191,70'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '40,00'           | '<Без маркировки>'  | '400,00'     | ''                  | '10,000, кг'     | '45,00'     | '61,02'    | '400,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '180,00'          | '<не используются>' | '1 800,00'   | '<не используются>' | '10,000, кг'     | '180,00'    | '300,00'   | '1 800,00'   | '10'      | 'Куриная ГП'     |
	И Я проверяю что в заказе клиента скидка равна "221,60" ндс равен "683,05" процент равен "4,14" итог равен "5 128,40"
	И Я заканчиваю создавать заказ клиента

Сценарий: 009.2. Pricing. Создание заказа2 для обычного покупателя, проверка заполнившихся значений

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И Я начинаю создавать заказ покупателя без холдинга "Обычный покупатель" в точку доставки "Обычная точка доставки" организации "Организация" и подразделению "Подразделение приемки заказов"
	И элемент формы "Соглашение" стал равен "Соглашение для Обычного покупателя"
	И элемент формы "Цена" стал равен "На дату заказа"
	И элемент формы "Вид цен" стал равен "Зависимый 1"
	И флаг "Цена включает НДС" равен "Да"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И в поле с именем "ДатаОтгрузки" я ввожу текст '10.09.2019'
	И в поле 'Комментарий' я ввожу текст 'Заказ 2. Заказ на Обычного покупателя'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Загрузить из внешнего файла'
	Тогда открылось окно 'Загрузка списка товаров из файла'
	И Я заполняю ячейку загрузки заказов "R2C4" текстом "Сыр Адыгейский"
	И Я заполняю ячейку загрузки заказов "R2C5" текстом "<Без маркировки>"
	И Я заполняю ячейку загрузки заказов "R2C6" текстом "кг"
	И Я заполняю ячейку загрузки заказов "R2C7" текстом "10"
	И Я заполняю ячейку загрузки заказов "R3C4" текстом "Сыр Пошехонский"
	И Я заполняю ячейку загрузки заказов "R3C5" текстом "<Без маркировки>"
	И Я заполняю ячейку загрузки заказов "R3C6" текстом "кг"
	И Я заполняю ячейку загрузки заказов "R3C7" текстом "10"
	И Я заполняю ячейку загрузки заказов "R4C4" текстом "Сыр Костромской"
	И Я заполняю ячейку загрузки заказов "R4C5" текстом "<Без маркировки>"
	И Я заполняю ячейку загрузки заказов "R4C6" текстом "кг"
	И Я заполняю ячейку загрузки заказов "R4C7" текстом "10"
	И Я заполняю ячейку загрузки заказов "R5C4" текстом "Крылья куринные (подложка)"
	И Я заполняю ячейку загрузки заказов "R5C6" текстом "кг"
	И Я заполняю ячейку загрузки заказов "R5C7" текстом "10"
	И я нажимаю на кнопку 'Далее >'
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '85,00'           | '<Без маркировки>'  | '850,00'     | ''                  | '10,000, кг'     | '85,00'     | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '225,00'          | '<Без маркировки>'  | '2 250,00'   | ''                  | '10,000, кг'     | '225,00'    | '204,55'   | '2 250,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '45,00'           | '<Без маркировки>'  | '450,00'     | ''                  | '10,000, кг'     | '45,00'     | '68,64'    | '450,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '180,00'          | '<не используются>' | '1 800,00'   | '<не используются>' | '10,000, кг'     | '180,00'    | '300,00'   | '1 800,00'   | '10'      | 'Куриная ГП'     |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "714,86" процент равен "0,00" итог равен "5 350,00"
	И Я заканчиваю создавать заказ клиента

Сценарий: 009.3. Pricing. Создание заказа3 копированием заказа1, контрагент Ашан

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           | 
		| 'Заказ 1. Заказ на Обычного покупателя' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Ашан'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по региону без скидки'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Бесскидочный регион'
	И элемент формы "Цена" стал равен "На дату заказа"
	И элемент формы "Вид цен" стал равен "Ашан"
	И флаг "Цена включает НДС" равен "Да"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И в поле с именем "ДатаОтгрузки" я ввожу текст '10.09.2019'
	И в поле 'Комментарий' я ввожу текст 'Заказ 3. Заказ Ашан'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '100,00'          | '<Без маркировки>'  | '1 000,00'   | ''                  | '10,000, кг'     | '100,00'    | '166,67'   | '1 000,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '250,00'          | '<Без маркировки>'  | '2 500,00'   | ''                  | '10,000, кг'     | '250,00'    | '227,27'   | '2 500,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '50,00'           | '<Без маркировки>'  | '500,00'     | ''                  | '10,000, кг'     | '50,00'     | '76,27'    | '500,00'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '200,00'          | '<не используются>' | '2 000,00'   | '<не используются>' | '10,000, кг'     | '200,00'    | '333,33'   | '2 000,00'   | '10'      | 'Сырная ГП'      |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "803,54" процент равен "0,00" итог равен "6 000,00"
	И я перехожу к закладке "Основное"
	И я нажимаю кнопку выбора у поля "Соглашение"
	Тогда открылось окно 'Соглашения с контрагентами'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                               |
		| 'Соглашение для Ашана по Скидочному региону' | 
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Скидочный регион'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '92,23'           | '<Без маркировки>'  | '922,30'     | ''                  | '10,000, кг'     | '92,23'     | '153,72' | '922,30'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '230,58'          | '<Без маркировки>'  | '2 305,80'   | ''                  | '10,000, кг'     | '230,58'    | '209,62' | '2 305,80'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '46,12'           | '<Без маркировки>'  | '461,20'     | ''                  | '10,000, кг'     | '46,12'     | '70,35'  | '461,20'     | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '184,46'          | '<не используются>' | '1 844,60'   | '<не используются>' | '10,000, кг'     | '184,46'    | '307,43' | '1 844,60'   | '10'      | 'Куриная ГП' 	 |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "741,12" процент равен "0,00" итог равен "5 533,90"
	И я перехожу к закладке "Печать"
	И элемент формы с именем "БанковскийСчетКонтрагента" стал равен 'БАНК КРЕДИТ-МОСКВА С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И элемент формы с именем "Грузополучатель" стал равен 'Ашан. Скидочный регион'
	И элемент формы с именем "БанковскийСчетГрузополучателя" стал равен 'БАНК КРЕДИТ-МОСКВА С-ПЕТЕРБУРГСКИЙ ФИЛ (RUB)'
	И элемент формы с именем "АдресДоставки" стал равен 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223'
	И элемент формы с именем "Руководитель" стал равен 'Главный Р. К.'
	И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Главный Б. К.'
	И элемент формы с именем "БанковскийСчетОрганизации" стал равен 'Основной счет'
	И элемент формы с именем "Грузоотправитель" стал равен 'Организация'
	И элемент формы с именем "БанковскийСчетГрузоотправителя" стал равен 'Основной счет'
	И элемент формы с именем "АдресПогрузки" стал равен '117342, Москва г, Севастопольский пр-кт, дом № 56'
	И Я заканчиваю создавать заказ клиента

Сценарий: 009.4. Pricing. Создание заказа4 копированием заказа1, контрагент 5ка

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           | 
		| 'Заказ 1. Заказ на Обычного покупателя' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И из выпадающего списка "Холдинг" я выбираю по строке 'Холдинг-компания'
	И из выпадающего списка "Контрагент" я выбираю по строке '5ка'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для 5ка'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Точка доставки для 5ка. Без региона'
	И элемент формы "Цена" стал равен "На дату отгрузки"
	И элемент формы "Вид цен" стал равен "5ка"
	И флаг "Цена включает НДС" равен "Нет"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И в поле с именем "ДатаОтгрузки" я ввожу текст '19.08.2019'
	И в поле с именем 'Дата' я ввожу текст '15.08.2019  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'Заказ 4. Заказ 5ка'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '150,00'          | '<Без маркировки>'  | '1 500,00'   | ''                  | '10,000, кг'     | '150,00'    | '300,00'   | '1 800,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '300,00'          | '<Без маркировки>'  | '3 000,00'   | ''                  | '10,000, кг'     | '300,00'    | '300,00'   | '3 300,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '200,00'          | '<Без маркировки>'  | '2 000,00'   | ''                  | '10,000, кг'     | '200,00'    | '360,00'   | '2 360,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '200,00'          | '<не используются>' | '2 000,00'   | '<не используются>' | '10,000, кг'     | '200,00'    | '400,00'   | '2 400,00'   | '10'      | 'Куриная ГП'     |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "1 360,00" процент равен "0,00" итог равен "9 860,00"
	И я перехожу к закладке "Основное"
	И в поле с именем "ДатаОтгрузки" я ввожу текст '02.09.2019'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'               | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'             | 'кг'  | '20%'   | '200,00'          | '<Без маркировки>'  | '2 000,00'   | ''                  | '10,000, кг'     | '200,00'    | '400,00'   | '2 400,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Пошехонский'            | 'кг'  | '10%'   | '350,00'          | '<Без маркировки>'  | '3 500,00'   | ''                  | '10,000, кг'     | '350,00'    | '350,00'   | '3 850,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской'            | 'кг'  | '18%'   | '250,00'          | '<Без маркировки>'  | '2 500,00'   | ''                  | '10,000, кг'     | '250,00'    | '450,00'   | '2 950,00'   | '10'      | 'Сырная ГП'      |
		| '10,000'     | 'Крылья куринные (подложка)' | 'кг'  | '20%'   | '200,00'          | '<не используются>' | '2 000,00'   | '<не используются>' | '10,000, кг'     | '200,00'    | '400,00'   | '2 400,00'   | '10'      | 'Куриная ГП'     |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "1 600,00" процент равен "0,00" итог равен "11 600,00"
	И Я заканчиваю создавать заказ клиента

Сценарий: 009.5. Pricing. Создание заказа 5, контрагент Ашан

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И Я начинаю создавать заказ покупателя "Ашан" с холдингом "Холдинг-компания" организации "Организация" и подразделению "Подразделение приемки заказов"
	И в поле с именем 'Дата' я ввожу текст '15.08.2019  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана по Скидочному региону'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан. Скидочный регион'
	И элемент формы "Цена" стал равен "На дату заказа"
	И элемент формы "Вид цен" стал равен "Ашан"
	И флаг "Цена включает НДС" равен "Да"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И в поле с именем "ДатаОтгрузки" я ввожу текст '19.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Заказ 5. Ашан'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "2,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'                | '% НДС' | 'Цена со скидкой' | 'Характеристика' | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '2,000'      | 'Сыр Адыгейский' | 'упак (5 кг) (Ашан)' | '20%'   | '92,23'           | 'Ашан'           | '922,30'     | ''      | '10,000, кг'     | '92,23'     | '153,72'   | '922,30'     | '20'      | 'Сырная ГП'      |
	И Я добавляю в заказ клиента номенклатуру "Сыр Пошехонский" без характеристики в количестве "2,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'                | '% НДС' | 'Цена со скидкой' | 'Характеристика' | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '2,000'      | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | '20%'   | '92,23'           | 'Ашан'           | '922,30'     | ''      | '10,000, кг'     | '92,23'     | '153,72'   | '922,30'     | '20'      | 'Сырная ГП'      |
		| '2,000'      | 'Сыр Пошехонский' | 'упак (5 кг) (Ашан)' | '10%'   | '230,58'          | 'Ашан'           | '2 305,80'   | ''      | '10,000, кг'     | '230,58'    | '209,62'   | '2 305,80'   | '20'      | 'Сырная ГП'      |
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" без характеристики в количестве "2,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'                | '% НДС' | 'Цена со скидкой' | 'Характеристика' | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '2,000'      | 'Сыр Адыгейский'  | 'упак (5 кг) (Ашан)' | '20%'   | '92,23'           | 'Ашан'           | '922,30'     | ''      | '10,000, кг'     | '92,23'     | '153,72'   | '922,30'     | '20'      | 'Сырная ГП'      |
		| '2,000'      | 'Сыр Пошехонский' | 'упак (5 кг) (Ашан)' | '10%'   | '230,58'          | 'Ашан'           | '2 305,80'   | ''      | '10,000, кг'     | '230,58'    | '209,62'   | '2 305,80'   | '20'      | 'Сырная ГП'      |
		| '2,000'      | 'Сыр Костромской' | 'упак (5 кг) (Ашан)' | '18%'   | '46,12'           | 'Ашан'           | '461,20'     | ''      | '10,000, кг'     | '46,12'     | '70,35'    | '461,20'     | '20'      | 'Сырная ГП'      |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "433,69" процент равен "0,00" итог равен "3 689,30"
	И Я заканчиваю создавать заказ клиента

Сценарий: 009.6. Pricing. Создание заказа 6, контрагент 5ка (проверка правильности данных, если цена не включает НДС)

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И Я начинаю создавать заказ покупателя "5ка" с холдингом "Холдинг-компания" организации "Организация" и подразделению "Подразделение приемки заказов"
	И в поле с именем 'Дата' я ввожу текст '15.08.2019  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для 5ка'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Точка доставки для 5ка. Без региона'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '19.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Заказ 6. 5ка'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "16,542"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'               | '% НДС' | 'Цена со скидкой' | 'Характеристика' | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '16,542'     | 'Сыр Адыгейский' | 'упак (2.5 кг) 5ка' | '20%'   | '150,00'          | '5ка'            | '6 203,25'   | ''      | '41,355, кг'     | '150,00'    | '1 240,65' | '7 443,90'   | '82,71'   | 'Сырная ГП'      |
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '243,69'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.'               | '% НДС' | 'Цена со скидкой' | 'Характеристика' | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '16,542'     | 'Сыр Адыгейский' | 'упак (2.5 кг) 5ка' | '20%'   | '243,69'          | '5ка'            | '10 077,80'  | ''      | '41,355, кг'     | '243,69'    | '2 015,56' | '12 093,36'  | '82,71'   | 'Сырная ГП'      |
	И Я проверяю что в заказе клиента скидка равна "0,00" ндс равен "2 015,56" процент равен "0,00" итог равен "12 093,36"
	И Я заканчиваю создавать заказ клиента

Сценарий: 009.7. Pricing. Создание заказа 7, контрагент Обычный покупатель (проверка правильности данных, цена на дату заказа)

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И Я начинаю создавать заказ покупателя без холдинга "Обычный покупатель" в точку доставки "Обычная точка доставки" организации "Организация" и подразделению "Подразделение приемки заказов"
	И в поле с именем 'Дата' я ввожу текст '31.07.2019  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Обычного покупателя'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '02.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Заказ 7. Обычный покупатель'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "10,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'   | 'Ед.' | '% НДС' | 'Цена со скидкой' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский' | 'кг'  | '20%'   | '17,00'           | '<Без маркировки>' | '170,00'     | ''      | '10,000, кг'     | '170,00'    | '28,33'    | '170,00'     | '10'      | 'Сырная ГП'      |
	И Я проверяю что в заказе клиента скидка равна "1 530,00" ндс равен "28,33" процент равен "90,00" итог равен "170,00"
	И Я заканчиваю создавать заказ клиента

Сценарий: 009.8. Pricing. Создание заказа 8, контрагент 5ка (цена из заказа)

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И Я начинаю создавать заказ покупателя "5ка" с холдингом "Холдинг-компания" организации "Организация" и подразделению "Подразделение приемки заказов"
	И в поле с именем 'Дата' я ввожу текст '03.05.2019  0:00:00'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для 5ка - цена из заказа'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Точка доставки для 5ка. Без региона'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '13.05.2019'
	И в поле 'Комментарий' я ввожу текст 'Заказ 8. 5ка'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" без характеристики в количестве "10,000"
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" без характеристики в количестве "10,000"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.'               | '% НДС' | 'Цена со скидкой' | 'Характеристика' | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
		| '10,000'     | 'Сыр Адыгейский'  | 'упак (2.5 кг) 5ка' | '20%'   | '180,00'          | '5ка'            | '4 500'      | ''      | '25,000, кг'     | '180,00'    | ''         | '4 500,00'   | '50'      | 'Сырная ГП'      |
		| '10,000'     | 'Сыр Костромской' | 'упак (2.5 кг) 5ка' | '18%'   | '120,00'          | '5ка'            | '3 000'      | ''      | '25,000, кг'     | '120,00'    | ''         | '3 000,00'   | '50'      | 'Сырная ГП'      |
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я перехожу к строке:
		| 'Количество' | 'Номенклатура'   |
		| '10,000'     | 'Сыр Адыгейский' |
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '3,000'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Количество' | 'Номенклатура'   |
		| '7,000'      | 'Сыр Адыгейский' |
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '270,00'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я перехожу к строке:
		| 'Количество' | 'Номенклатура'   | 
		| '3,000'      | 'Сыр Адыгейский' |
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '190,00'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я перехожу к строке:
		| 'Количество' | 'Номенклатура'    |
		| '10,000'     | 'Сыр Костромской' |
	И в таблице "Товары" я выбираю текущую строку
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '150,00'
	И в таблице "Товары" я завершаю редактирование строки
	И Я заканчиваю создавать заказ клиента

Сценарий: 009.9. Pricing. Завершение

	И я закрываю сеанс TESTCLIENT